@import url("https://fonts.googleapis.com/css2?family=Courgette&family=Fasthand&display=swap");

/*Body Container Part Start*/
:root {
  --main-bg-color:#819A9E;
}

.body-container {
  background-color: #ffffff;
  width: 100%;
  height: 90%;
}

.logo-img-cover   {
  background-color: #ffffff;
  width: 200px;
  height: 200px; 
  border-radius: 10px;
  overflow: hidden;
}

.logo-img{
  max-width: 200px;
  max-height: 200px;
  width: 100%;
}

.txt-container p {
  font-size: 1.8rem;
  font-weight: normal;
  line-height: 1.8;
  padding: 1rem 0;
  color: #666;
}

.lon-sec1 {
  padding-top: 30px;
  padding-left: 20px;
  padding-right: 20px;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.body-container .lon-sec1 h3 {
  padding-top: 20px;
  padding-bottom: 30px;
  font-family: "Courgette", cursive;
  font-size: 4rem;
  color: var(--main-bg-color);
}

/*body Container Part End */

/*Tab Menu Design Start*/

.dashed-box {
  position: relative;
  z-index: 1;
  margin-bottom: 1em;
  margin-top: 1em;
}


span{
  font-size:14px;
  font-weight:600;
  background-color: white;
  color: var(--main-bg-color);
  border-radius:50%;
  position: absolute;
  top: 2em;
}

.content-title-cart span {
  background-color: transparent;
  color: var(--main-bg-color);
  border-radius:50%;
  position: absolute;
  z-index: 3;
  top: 0.8em;
  left: 12em;
}

.tab-menu-initial{
  position: initial;
  background-color: #e6f0da;
  border-radius: 10px; 
  transition: 0s;
}

.tab-menu-fixed{
  position: fixed;
  background-color:rgba(129, 154, 158,0.9);
  top: 100px;
  z-index: 500;
  max-width: 1000px;
  overflow-x:  auto;
  overflow-y: hidden;
  border-radius: 10px;
  padding: 10px;
  transition: 0s;
}

.tab-menu {
  background-color: #e6f0da;
  border-radius: 30px;
  margin: auto;
  max-width: 1000px;
  padding: 10px;
  height: auto;
  margin-bottom: 100px;
}

.slide-side-bar {
  height: auto;
  overflow-x: auto;
  white-space: nowrap; 
}

.item-category-title{
  background-color: #ffffff;
  color:#819A9E;
  font-family: 'Lucida Sans';
  font-size: 20px;
  font-weight: bold;
  font-style: italic;
  border-radius: 50px;
}

.item-category-cover{
  background-color: #ffffff; 
  border:2px solid #ffffff;
  padding: 0px 5px 0px 5px;
  margin: 10px; 
  text-align: center;
  border-radius: 5px;
  display: inline-block;
  vertical-align: middle;
}

.item-category-cover-selected{
  border:2px solid #819A9E;
}

.item-category{
  background-color: whitesmoke; 
  padding: 0px 5px 0px 5px;
  margin: 10px; 
  font-weight: normal;
  border-radius: 5px;
  font-size: 2rem; 
  color: #015c75; 
  text-decoration: none; 
  text-align: center;
  text-transform: uppercase; 
  display: inline-block;
  vertical-align: middle;
}

.slide-side-bar a { 
  font-weight: normal;
  font-size: 2rem; 
  color: #015c75;
  text-underline-offset: 10px;
  text-decoration: none;
  margin-bottom: 20px;
  text-align: center;
  text-transform: uppercase; 
}

.category-notes{
  font-size: 3.5rem;
  font-family: "Courgette", cursive;
  align-items: center;
  justify-content: center;
  text-align: center;
  display: flex;
  margin-top: 25px;
  margin-bottom: 25px;
  color: var(--main-bg-color);

}

/*Tab Menu Design End */

/*start menu-item*/
.menu-item {
  background-color: rgba(255, 255, 255, 0.5);
  padding-top: 1px;
  padding-right: 15px;
  text-align: center;
  box-shadow: 0px 0px 2px 1px rgba(0, 0, 0, 0.2);  
  padding: 10px;
  border-radius: 5px;
}

#item {
  display: inline-block; 
  padding-left: 10px;
}

.item-txt {
  padding-left: 20px;
}

.menu-item .menu-img img {
  width: 120px;
  height: 105px;
  border-radius: 50%;
  object-fit: cover;
}

.item-txt #fni {
  font-family: "Courgette", cursive;
  font-size: 3rem;
  color: black;
}

.item-cover{
  background-color:#ffffff; 
  margin:5px;
  padding:10px;
  border-radius: 10px;
}

#ingredients-txt {
  font-size: 1.5rem;
  font-weight: normal;
  color: #302f2f;
  line-height: 2; 
}

#price {
  font-size: 1.6rem;
  font-weight: 600;
  color: black;
}

.menu-tabcontent {
  display: none;
}

.slide-side-bar::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

.slide-side-bar::-webkit-scrollbar-track {
  background-color: #fff;
}

.slide-side-bar::-webkit-scrollbar-thumb {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
  background-color: #44403f;
  border-radius: 15%;
}

/*En menu item*/

/*Currency CSS Start*/
.button-Currency{
  font-size:1.6rem;
  margin-bottom: 10px;
  text-align: center;
  color: #fff;
  padding: 10px;
  border-radius: 50px;
  background-color:var(--main-bg-color);
}

.rate-Currency{
  font-size: 1.4rem;
  text-decoration: none;
  color: var(--main-bg-color);
}

.button-back{
  font-size:1.6rem;
  margin-bottom: 10px;
  text-align: center;
  color: #fff;
  padding: 10px;
  border-radius: 50px;
  background-color:var(--main-bg-color);
}

/*Currency CSS END*/


/*Add To Cart Start*/

/*Modal Part*/
.modal .content-title-cart{
  background: gainsboro;
  width:100%;
  height: 70px; 
}

.modal .content-title-cart .title-cart{
  text-align: center;
  font-size: 30px;
  color: var( --main-bg-color);
  padding-top: 10px;
}

.modal .content-Total-title{
  background-color:whitesmoke;
  margin-top: 10px;
  border-radius: 2px;
  width:100%;
  padding: 2px;
}

.modal .content-Total-title #totalPrice{
  text-align: center;
  color: #000;
  font-size: 20px;
  font-weight: bold;
  font-style: italic;
}

.cart-item{
  background-color: whitesmoke; 
  margin: 10px 5px 10px 5px;
  box-shadow: 0px 0px 2px 0px rgba(0, 0, 0, 0.5); 
  overflow: hidden;
}

/*Display qty item*/
.cart-src-item{
  width: 85%;
  height: 150px;
  margin-top: 20px;
  margin-left: 15px;
}
 
 .minusBtn,.plusBtn{
  background-color: transparent;
  border:2px solid #819A9E;
  font-size: 20px;
  padding:0 10px 0px 10px;
  border-radius: 5px;
  color: var(--main-bg-color);
}

 .minusBtn:hover,.plusBtn:hover{
  background-color: gainsboro;
}

 .cart-src-qty{ 
  background-color: #ffffff;
  color: #44403f;
  width: 40px;
  font-size: 25px;
  margin: 5px auto 5px auto;
  border-radius: 5px;
  text-align: center; 
}

.cart-src-image-content,
.cart-src-npd-content{
 float: left;
}
/*Single Image*/

.cart-item-image{
  width: 100px;
  height: 100px;
  object-fit: cover;
  border-radius: 50px;
}

.cart-src-npd-content{
  margin-top: 7px;
  margin-left: 15px;
}

.src-name{
  font-size: 20px;
  word-wrap: break-word;
  color:var(--main-bg-color);
}
.src-price{
  color: black;
  font-weight: bold;
  font-size: 12px;
}

.deleteBtn{
  background-color: whitesmoke;
  color: #dc3545;
  font-size: 15px; 
  border-radius: 5px; 
  padding: 10px;
}
 
/*Add To Cart End */

#button-up {
  display: inline-block;
  background-color: black;
  text-decoration: none;
  width: 50px;
  height: 50px;
  text-align: center;
  border-radius: 4px;
  position: fixed;
  bottom: 30px;
  right: 30px;
  transition: background-color .3s, 
    opacity .5s, visibility .5s;
  opacity: 0;
  visibility: hidden;
  z-index: 1000;
}
#button-up::after {
  content: "\f077";
  font-family: FontAwesome;
  font-weight: normal;
  font-style: normal;
  font-size: 2em;
  line-height: 50px;
  color: #fff;
}
#button-up:hover {
  cursor: pointer;
  background-color: #333;
}
#button-up:active {
  background-color: #555;
}
#button-up.show {
  opacity: 1;
  visibility: visible;
}
 
.orderconfirmationmessage{
 
  color: #819A9E;
  font-size: 20px;
  font-weight: bold;
  font-style: italic;

}

.calories{
  color:#014c61;
  font-size: 15px;
  font-weight: bold;
  font-style: italic;
}

@media screen and (max-width: 1000px) {
  
  .tab-menu { 
    height: auto;
    margin: auto 10px 100px 10px;
  }
}

@media screen and (max-width: 220px) {
  .body-container .lon-sec1 h3 {
    padding-top: 20px;
    padding-bottom: 30px;
    font-family: "Courgette", cursive;
    font-size: 1rem;
  }

  .tab-menu { 
    border-radius: 20px;
    padding: 10px;
    height: auto; 
    margin: auto 10px 100px 10px;
  }

  .slide-side-bar {
    height: 60px;
    width: 100%;
    columns: 3rem auto;
  }

  .item-category{
    font-weight: normal;
    font-size: 1.3rem; 
  }
  
  .slide-side-bar a {
    font-weight: normal;
    font-size: 1.2rem;
    
  }

  .body-container .lon-sec1 h3 {
    font-size: 2rem;
  }

  .menu-item .menu-img img {
    width: 100px;
    height: 90px;
    border-radius: 45%;
    object-fit: cover;
  }
  .item-txt #fni {
    font-size: 1.6rem;
  }
  #ingredients-txt {
    font-size: 1.3rem;
    font-weight: normal;

    line-height: 1.5;
    padding: 0.4rem 0;
  }

  #price {
    font-size: 1.4rem;
    color: black;
  }
}

@media screen and (max-width: 400px) {
  /*Add To Cart */
  .cart-src-item{
    width:75%;
    height: 140px;
    margin-left: 1px;
  }
  .modal .content-title-cart{
    width:100%;
    height: 45px;
  }
  .modal .content-title-cart .title-cart{
    font-size: 20px;
  }
  .modal .content-Total-title{
    width:100%;
    height: 45px;
  }
  
  .modal .content-Total-title #totalPrice{
    font-size: 15px;
    padding-top: 8px;
  }
  .cart-item-image{
    width: 90px;
    height:90px;
    object-fit: cover;
    border-radius: 50px;
  }
  .src-name-content{
    width:90px;
  }
  .src-name{
    font-size: 12px;
    word-wrap: break-word;
  }
  .src-price{
    font-size: 10px;
  }
  
   .minusBtn,.plusBtn{
    background-color: transparent;
    font-size: 15px;
    padding: 0px 5px 0px 5px;
    color: var(--main-bg-color);
  }
   
  /*Add To Cart End*/

  .body-container .lon-sec1 h3 {
    padding-top: 20px;
    padding-bottom: 30px;
    font-family: "Courgette", cursive;
    font-size: 1rem;
  }

  .tab-menu { 
    border-radius: 20px;
    padding: 10px;
    height: auto; 
    margin-bottom: auto 10px 100px 10px;
  }

  .slide-side-bar {
    height: 60px;
    width: 100%;
    columns: 3rem auto;
  }

  .slide-side-bar a {
    font-weight: normal;
    font-size: 1.2rem;
    
  }

  .item-category{
    font-weight: normal;
    font-size: 1.3rem; 
  }
  
  .body-container .lon-sec1 h3 {
    font-size: 2rem;
  }

  .menu-item .menu-img img {
    width: 100px;
    height: 90px;
    border-radius: 45%;
    object-fit: cover;
  }
  .item-txt #fni {
    font-size: 1.3rem;
  }
  #ingredients-txt {
    font-size: 1.5rem;
    font-weight: normal;

    line-height: 1.5;
    padding: 0.4rem 0;
  }

  #price {
    font-size: 1.3rem;

  }
}

@media screen and (max-width: 600px) {
  /*Add To Cart */
  .cart-src-item{
   width:80%;
   height: 140px;
   margin-left: 1px;
 }
 .modal .content-title-cart{
   width:100%;
   height: 45px;
 }
 .modal .content-title-cart .title-cart{
   font-size: 20px;
 }
 .modal .content-Total-title{
   width:100%;
   height: 45px;
 }
 
 .modal .content-Total-title #totalPrice{
   font-size: 15px;
   padding-top: 8px;
 }
 .cart-item-image{
   width: 90px;
   height:90px;
   object-fit: cover;
   border-radius: 50px;
 }
 .src-name-content{
   width:90px;
 }
 .src-name{
   font-size: 12px;
   word-wrap: break-word;
 }
 .src-price{
   font-size: 10px;
 }
  
 .minusBtn,.plusBtn{
   background-color: transparent; 
   color: var(--main-bg-color);
 }
 
 .cart-src-qty{
   font-size: 20px;
   color: #44403f;
 }
 
 /*Add To Cart End*/
 .body-container .lon-sec1 h3 {
   padding-top: 20px;
   padding-bottom: 30px;
   font-family: "Courgette", cursive;
   font-size: 1rem;
 }

 .tab-menu { 
   border-radius: 20px;
   padding: 10px;
   height: auto; 
   margin: auto 10px 100px 10px;
 }

 .slide-side-bar {
   height: 60px;
   width: 100%;
   columns: 3rem auto;
 }

 .item-category{
  font-weight: normal;
  font-size: 1.3rem; 
}

 .slide-side-bar a {
   font-weight: normal;
   font-size: 1.2rem;
   
 }

 .body-container .lon-sec1 h3 {
   font-size: 4rem;
 }

 .menu-item .menu-img img {
   width: 100px;
   height: 90px;
   border-radius: 45%;
   object-fit: cover;
 }

 .item-txt #fni {
   font-size: 1.3rem;
 }

 #ingredients-txt {
   font-size: 1.5rem;
   font-weight: normal;

   line-height: 1.5;
   padding: 0.4rem 0;
 }

 #price {
   font-size: 1.3rem;

 }
 
 .orderconfirmationmessage{
  font-size: 16px;
}

}

@media screen and (max-width:400px) {
   
  .logo-img-cover   {
    background-color: #ffffff;
    width: 170px;
    height: 170px; 
    border-radius: 10px;
    overflow: hidden;
  }
  
  .logo-img{
    max-width: 170px;
    max-height: 170px;
    width: 100%;
  }
 
}


